org.apache.uima

## Class UIMARuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.uima.InternationalizedRuntimeException
        - - org.apache.uima.UIMARuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CASRuntimeException, UIMA_IllegalArgumentException, UIMA_IllegalStateException, UIMA_UnsupportedOperationException

      public class UIMARuntimeException
      extends InternationalizedRuntimeException

  This is the superclass for all runtime exceptions in UIMA. Runtime exceptions do not need to be declared in the throws clause of methods.

  `UIMARuntimeException` extends `InternationalizedRuntimeException` for internationalization support. Since UIMA Runtime Exceptions are internationalized, the thrower does not supply a hardcoded message. Instead, the thrower specifies a key that identifies the message. That key is then looked up in a locale-specific `ResourceBundle` to find the actual message associated with this exception.

  The thrower may specify the name of the `ResourceBundle` in which to find the exception message. Any name may be used. If the name is omitted, the resource bundle identified by `STANDARD_MESSAGE_CATALOG` will be used. This contains the standard UIMA exception messages.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS` Illegal invocation of casRelease() while awaiting response from a UIMA-AS Service.
    `static String` | `CAS_RELEASED_TO_WRONG_CAS_MANAGER` Message key for a standard UIMA exception message: CasManager.releaseCas(CAS) was called with a CAS that does not belong to this CasManager.
    `static String` | `COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL` Message key for a standard UIMA exception message: CAS Copying of Feature "{0}": range names must be the same: source range name was "{1}", target range name was "{2}".
    `static String` | `DEFINE_CAS_POOL_CALLED_TWICE` Message key for a standard UIMA exception message: "The method CasManager.defineCasPool() was called twice by the same Analysis Engine ({0)}."
    `static String` | `ECORE_UNRESOLVED_PROXY` Message key for a standard UIMA exception message: "The Ecore model contained an unresolved proxy {0}."
    `static String` | `FEATURE_NOT_FOUND_DURING_CAS_COPY` Message key for a standard UIMA exception message: "Attempted to copy a Feature "{0}", which is not defined in the type system of the destination CAS."
    `static String` | `ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED` Message key for a standard UIMA exception message: "Illegal adding of additional MetaData after CASes have been defined.
    `static String` | `ILLEGAL_CAS_COPY_TO_SAME_CAS` Message key for a standard UIMA exception message: It is not permitted to use CasCopier to copy a Cas to itself, even in another view.
    `static String` | `ILLEGAL_FS_FEAT_UPDATE` Message key for a standard UIMA exception message: Illegal update of indexed Feature Structure feature used as an key in one or more indexes
    `static String` | `INCOMPATIBLE_TAF_JNI_LIBRARY` Message key for a standard UIMA exception message: "Incompatible taf jni library {0}."
    `static String` | `REQUESTED_TOO_MANY_CAS_INSTANCES` Message key for a standard UIMA exception message: "AnalysisComponent "{0}" requested more CASes ({1}) than defined in its getCasInstancesRequired() method ({2}).
    `static String` | `RESULT_SPEC_NULL` Message key for a standard UIMA exception message: Saved result specification is null; probable cause: Annotator overrode setResultSpecification(spec) but failed to call super.setResultSpecification(spec).
    `static String` | `STANDARD_MESSAGE_CATALOG` The name of the `ResourceBundle` containing the standard UIMA Exception messages.
    `static String` | `TYPE_NOT_FOUND_DURING_CAS_COPY` Message key for a standard UIMA exception message: "Attempted to copy a FeatureStructure of type "{0}", which is not defined in the type system of the destination CAS."
    `static String` | `UIMA_CONTEXT_NULL` Message key for a standard UIMA exception message: Saved UIMA context is null; probable cause: Annotator initialize(context) method failed to call super.initialize(context).
    `static String` | `UIMA_ECORE_NOT_FOUND` Message key for a standard UIMA exception message: "The Ecore model for the UIMA built-in types (uima.ecore) was not found in the classpath."
    `static String` | `UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS` Message key for a standard UIMA exception message: Unsupported invocation of CasCopier copyCasView, specifying a source or destination as a base CAS.
    `static String` | `UNSUPPORTED_CAS_INTERFACE` Message key for a standard UIMA exception message: "Unsupported CAS interface {0}."
    `static String` | `VIEW_NOT_PART_OF_CAS` Message key for a standard UIMA exception message: In CasCopier, the {0} view is doesn't belong to the original {0} CAS specified when creating the CasCopier instance

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMARuntimeException()` Creates a new exception with a null message.
    `UIMARuntimeException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `STANDARD_MESSAGE_CATALOG`.
    `UIMARuntimeException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `STANDARD_MESSAGE_CATALOG`.
    `UIMARuntimeException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `UIMARuntimeException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `UIMARuntimeException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.InternationalizedRuntimeException

      `getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause, setResourceBundle`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_MESSAGE_CATALOG

          public static final String STANDARD_MESSAGE_CATALOG

      The name of the `ResourceBundle` containing the standard UIMA Exception messages.
      See Also:
        Constant Field Values

    - #### CAS_RELEASED_TO_WRONG_CAS_MANAGER

          public static final String CAS_RELEASED_TO_WRONG_CAS_MANAGER

      Message key for a standard UIMA exception message: CasManager.releaseCas(CAS) was called with a CAS that does not belong to this CasManager.
      See Also:
        Constant Field Values

    - #### CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS

          public static final String CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS

      Illegal invocation of casRelease() while awaiting response from a UIMA-AS Service.
      See Also:
        Constant Field Values

    - #### UIMA_ECORE_NOT_FOUND

          public static final String UIMA_ECORE_NOT_FOUND

      Message key for a standard UIMA exception message: "The Ecore model for the UIMA built-in types (uima.ecore) was not found in the classpath."
      See Also:
        Constant Field Values

    - #### ECORE_UNRESOLVED_PROXY

          public static final String ECORE_UNRESOLVED_PROXY

      Message key for a standard UIMA exception message: "The Ecore model contained an unresolved proxy {0}."
      See Also:
        Constant Field Values

    - #### REQUESTED_TOO_MANY_CAS_INSTANCES

          public static final String REQUESTED_TOO_MANY_CAS_INSTANCES

      Message key for a standard UIMA exception message: "AnalysisComponent "{0}" requested more CASes ({1}) than defined in its getCasInstancesRequired() method ({2}). It is possible that the AnalysisComponent is not properly releasing CASes when it encounters an error."
      See Also:
        Constant Field Values

    - #### DEFINE_CAS_POOL_CALLED_TWICE

          public static final String DEFINE_CAS_POOL_CALLED_TWICE

      Message key for a standard UIMA exception message: "The method CasManager.defineCasPool() was called twice by the same Analysis Engine ({0)}."
      See Also:
        Constant Field Values

    - #### UNSUPPORTED_CAS_INTERFACE

          public static final String UNSUPPORTED_CAS_INTERFACE

      Message key for a standard UIMA exception message: "Unsupported CAS interface {0}."
      See Also:
        Constant Field Values

    - #### INCOMPATIBLE_TAF_JNI_LIBRARY

          public static final String INCOMPATIBLE_TAF_JNI_LIBRARY

      Message key for a standard UIMA exception message: "Incompatible taf jni library {0}."
      See Also:
        Constant Field Values

    - #### TYPE_NOT_FOUND_DURING_CAS_COPY

          public static final String TYPE_NOT_FOUND_DURING_CAS_COPY

      Message key for a standard UIMA exception message: "Attempted to copy a FeatureStructure of type "{0}", which is not defined in the type system of the destination CAS."
      See Also:
        Constant Field Values

    - #### FEATURE_NOT_FOUND_DURING_CAS_COPY

          public static final String FEATURE_NOT_FOUND_DURING_CAS_COPY

      Message key for a standard UIMA exception message: "Attempted to copy a Feature "{0}", which is not defined in the type system of the destination CAS."
      See Also:
        Constant Field Values

    - #### COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL

          public static final String COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL

      Message key for a standard UIMA exception message: CAS Copying of Feature "{0}": range names must be the same: source range name was "{1}", target range name was "{2}".
      See Also:
        Constant Field Values

    - #### UIMA_CONTEXT_NULL

          public static final String UIMA_CONTEXT_NULL

      Message key for a standard UIMA exception message: Saved UIMA context is null; probable cause: Annotator initialize(context) method failed to call super.initialize(context).
      See Also:
        Constant Field Values

    - #### RESULT_SPEC_NULL

          public static final String RESULT_SPEC_NULL

      Message key for a standard UIMA exception message: Saved result specification is null; probable cause: Annotator overrode setResultSpecification(spec) but failed to call super.setResultSpecification(spec).
      See Also:
        Constant Field Values

    - #### VIEW_NOT_PART_OF_CAS

          public static final String VIEW_NOT_PART_OF_CAS

      Message key for a standard UIMA exception message: In CasCopier, the {0} view is doesn't belong to the original {0} CAS specified when creating the CasCopier instance
      See Also:
        Constant Field Values

    - #### UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS

          public static final String UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS

      Message key for a standard UIMA exception message: Unsupported invocation of CasCopier copyCasView, specifying a source or destination as a base CAS.
      See Also:
        Constant Field Values

    - #### ILLEGAL_CAS_COPY_TO_SAME_CAS

          public static final String ILLEGAL_CAS_COPY_TO_SAME_CAS

      Message key for a standard UIMA exception message: It is not permitted to use CasCopier to copy a Cas to itself, even in another view.
      See Also:
        Constant Field Values

    - #### ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED

          public static final String ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED

      Message key for a standard UIMA exception message: "Illegal adding of additional MetaData after CASes have been defined. Likely cause is the reuse of a Resource Manager object for a different pipeline, after it has already been initialized."
      See Also:
        Constant Field Values

    - #### ILLEGAL_FS_FEAT_UPDATE

          public static final String ILLEGAL_FS_FEAT_UPDATE

      Message key for a standard UIMA exception message: Illegal update of indexed Feature Structure feature used as an key in one or more indexes
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMARuntimeException

          public UIMARuntimeException()

      Creates a new exception with a null message.

    - #### UIMARuntimeException

          public UIMARuntimeException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### UIMARuntimeException

          public UIMARuntimeException(String aResourceBundleName,
                                      String aMessageKey,
                                      Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### UIMARuntimeException

          public UIMARuntimeException(String aResourceBundleName,
                                      String aMessageKey,
                                      Object[] aArguments,
                                      Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### UIMARuntimeException

          public UIMARuntimeException(String aMessageKey,
                                      Object[] aArguments)

      Creates a new exception with a message from the `STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### UIMARuntimeException

          public UIMARuntimeException(String aMessageKey,
                                      Object[] aArguments,
                                      Throwable aCause)

      Creates a new exception with the specified cause and a message from the `STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.